package com.zswl.cloud.springBtach.server.core.controller;

import com.eeext.openapi.entity.RechargeProductResp;
import com.github.microservice.auth.client.constant.AuthConstant;
import com.github.microservice.auth.client.content.ResultContent;
import com.github.microservice.auth.security.annotations.ResourceAuth;
import com.github.microservice.auth.security.type.AuthType;
import com.zswl.cloud.springBtach.server.core.api.video2.Video2Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("video2")
public class Video2Controller {

    @Autowired
    Video2Api video2Api;

    @ApiOperation("获取商品列表接口")
    @ResourceAuth(value = AuthConstant.User, type = AuthType.User)
    @RequestMapping(value = "rechargeProduct", method = RequestMethod.GET)
    ResultContent<RechargeProductResp> rechargeProduct() {
        return ResultContent.buildContent(video2Api.rechargeProduct());
    }
}
